Documentation for Axxon PSIM 1.0.0-1.0.1.

Previous page Next page


Authorization in Axxon PSIM using a token key allows for:

  • Specifying a token in the "token" parameter in a URL request instead of specifying the "login" and "password" parameters.

    Example of a video request with authorization in Axxon PSIM using a token key:

    http://127.0.0.1:80/video/action.do?normalize=true&version=1.0.1.224&video_in=CAM:1&token=EoHWC_zXFILImB0hL4QgjPc5624cJXMF
  • Using the Bearer Token Authentication in the "Authorization" parameter in the request header.

    Example:

    Authorization: Bearer PJ_eHSwUsqjXX7PRZMB8hm_zKEnCg3hE" 

Only a registered Axxon PSIM user can receive the token. If you don't specify the login and password for the Basic authorization in the request, the server returns a "500 Internal Server Error".
When you send a request to get a token, cookies are saved. If you then send an authorization request without a token but with cookies already saved, the process will be successful.

General format of request:

GET/POST http://{login}:{password}@IP address:port/token?expires_in={expires_in}

Request parameters:

Parameter

Required

Description

login YesUser login in Axxon PSIM
passwordYesUser password in Axxon PSIM
expires_inNo

Token validity time in seconds. The maximum value is 1 day. The token expires after a specified period of time.

The default value is 1800.

To log out, specify the 0 value.

Note. There can be only 1 token for each user

Request example:

GET/POST http://USER:PASSWORD@127.0.0.1:80/token?expires_in=1800

Response example:

{
"access_token":"PJ_eHSwUsqjXX7PRZMB8hm_zKEnCg3hE",
"token_type":"bearer",
"expires_in":"1800"
}

Response parameters:

Parameter

Description

access_tokenToken
token_type

Token type

expires_inToken validity time in seconds

  • No labels